FLAC 1.3.3

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FLAC::Metadata::Unknown Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::Unknown:

## Public Member Functions
| Unknown (::FLAC__StreamMetadata *object, bool copy)
Unknown & | assign (::FLAC__StreamMetadata *object, bool copy)
const FLAC__byte * | get_data () const
bool | set_data (const FLAC__byte *data, uint32_t length)
bool | set_data (FLAC__byte *data, uint32_t length, bool copy)
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const
| Unknown (const Unknown &object)
| Unknown (const ::FLAC__StreamMetadata &object)
| Unknown (const ::FLAC__StreamMetadata *object)
Unknown & | operator= (const Unknown &object)
Unknown & | operator= (const ::FLAC__StreamMetadata &object)
Unknown & | operator= (const ::FLAC__StreamMetadata *object)
bool | operator== (const Unknown &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const Unknown &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const

## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes
::FLAC__StreamMetadata * | object_

## Detailed Description

Opaque metadata block for storing unknown types. This should not be used unless you know what you are doing; it is currently used only internally to support forward compatibility of metadata blocks. See the overview for more,

## Constructor & Destructor Documentation

## ◆ Unknown() [1/4]

FLAC::Metadata::Unknown::Unknown | ( | const Unknown & | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ Unknown() [2/4]

FLAC::Metadata::Unknown::Unknown | ( | const ::FLAC__StreamMetadata & | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ Unknown() [3/4]

FLAC::Metadata::Unknown::Unknown | ( | const ::FLAC__StreamMetadata * | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ Unknown() [4/4]

FLAC::Metadata::Unknown::Unknown | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| inline

Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

## ◆ operator=() [1/3]

Unknown& FLAC::Metadata::Unknown::operator= | ( | const Unknown & | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ operator=() [2/3]

Unknown& FLAC::Metadata::Unknown::operator= | ( | const ::FLAC__StreamMetadata & | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ operator=() [3/3]

Unknown& FLAC::Metadata::Unknown::operator= | ( | const ::FLAC__StreamMetadata * | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ assign()

Unknown& FLAC::Metadata::Unknown::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| inline

Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

References FLAC::Metadata::Prototype::assign_object().

## ◆ operator==() [1/3]

bool FLAC::Metadata::Unknown::operator== | ( | const Unknown & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator==() [2/3]

bool FLAC::Metadata::Unknown::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator==() [3/3]

bool FLAC::Metadata::Unknown::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator!=() [1/3]

bool FLAC::Metadata::Unknown::operator!= | ( | const Unknown & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ operator!=() [2/3]

bool FLAC::Metadata::Unknown::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ operator!=() [3/3]

bool FLAC::Metadata::Unknown::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ set_data()

bool FLAC::Metadata::Unknown::set_data | ( | const FLAC__byte * | data,
|  | uint32_t | length
| ) |  |

This form always copies data.

## ◆ assign_object()

Prototype& FLAC::Metadata::Prototype::assign_object | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| protected inherited

Assigns an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

Referenced by FLAC::Metadata::StreamInfo::assign(), FLAC::Metadata::Padding::assign(), FLAC::Metadata::Application::assign(), FLAC::Metadata::SeekTable::assign(), FLAC::Metadata::VorbisComment::assign(), FLAC::Metadata::CueSheet::assign(), FLAC::Metadata::Picture::assign(), and assign().

## ◆ clear()

virtual void FLAC::Metadata::Prototype::clear | ( |  | ) |
| protected virtual inherited

Deletes the underlying FLAC__StreamMetadata object.

## ◆ get_is_last()

bool FLAC::Metadata::Prototype::get_is_last | ( |  | ) | const
| inherited

Returns `true` if this block is the last block in a stream, else `false`.

Assertions:
  is_valid()

## ◆ get_type()

::FLAC__MetadataType FLAC::Metadata::Prototype::get_type | ( |  | ) | const
| inherited

Returns the type of the block.

Assertions:
  is_valid()

## ◆ get_length()

uint32_t FLAC::Metadata::Prototype::get_length | ( |  | ) | const
| inherited

Returns the stream length of the metadata block.

Note
  The length does not include the metadata block header, per spec.

Assertions:
  is_valid()

## ◆ set_is_last()

void FLAC::Metadata::Prototype::set_is_last | ( | bool |  | ) |
| inherited

Sets the "is_last" flag for the block. When using the iterators it is not necessary to set this flag; they will do it for you.

Assertions:
  is_valid()

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |